Update narrative variable
curl --request PATCH \
--url https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/narrative-variables/{variable_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"default_value": "<unknown>",
"description": "<string>"
}
'import requests
url = "https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/narrative-variables/{variable_id}"
payload = {
"name": "<string>",
"default_value": "<unknown>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', default_value: '<unknown>', description: '<string>'})
};
fetch('https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/narrative-variables/{variable_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Unauthorized",
"code": "unauthorized",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "No valid API key was supplied.",
"doc_url": "https://docs.kitefrost.ai/errors/unauthorized"
}{
"error": "Forbidden",
"code": "forbidden",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "Your API key does not have the required scope.",
"doc_url": "https://docs.kitefrost.ai/errors/forbidden"
}{
"error": "Not found",
"code": "not_found",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "The requested resource does not exist.",
"doc_url": "https://docs.kitefrost.ai/errors/not_found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "Rate limit exceeded",
"code": "rate_limited",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "You have exceeded the rate limit for your plan.",
"doc_url": "https://docs.kitefrost.ai/errors/rate_limited"
}{
"error": "Internal server error",
"code": "internal_error",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "An unexpected error occurred.",
"doc_url": "https://docs.kitefrost.ai/errors/internal_error"
}dialogue
Update narrative variable
PATCH
/
v1
/
projects
/
{project_id}
/
game-narrative
/
narrative-variables
/
{variable_id}
Update narrative variable
Path Parameters
Body
application/json
Response
Successful Response
The response is of type Response Patch Variable V1 Projects Project Id Game Narrative Narrative Variables Variable Id Patch · object.
⌘I